<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.ordermanager.ConfigureIssuersUsedInTheApplication']}</h1>
                <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                    <ui:param name="panel_id" value="numbers"/>
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.NumberGenerators']}</ui:define>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.BelowIsTheListOfIssuersWhichAreUsedInTheApplicat']}"
                            styleClass="help-block"/>
                    <rich:dataTable value="#{numberGeneratorManager.generators}" var="gen" id="table1">
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.simulator.Actor']}</ui:define>
                            <h:outputText value="#{gen.actor.name}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.ordermanager.NamespaceID']}</ui:define>
                            <rich:inplaceInput value="#{gen.namespaceId}" showControls="true">
                                <a4j:ajax event="change" render="numbers"
                                          listener="#{numberGeneratorManager.saveGenerator(gen)}"/>
                            </rich:inplaceInput>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.ordermanager.NamespaceUniversalID']}
                            </ui:define>
                            <rich:inplaceInput value="#{gen.universalId}" showControls="true">
                                <a4j:ajax event="change" render="numbers"
                                          listener="#{numberGeneratorManager.saveGenerator(gen)}"/>
                            </rich:inplaceInput>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.ordermanager.UniversalIDType']}</ui:define>
                            <rich:inplaceInput value="#{gen.universalIdType}" showControls="true">
                                <a4j:ajax event="change" render="numbers"
                                          listener="#{numberGeneratorManager.saveGenerator(gen)}"/>
                            </rich:inplaceInput>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.ordermanager.Index']}</ui:define>
                            <h:outputText value="#{gen.nextEntityIdentifier}"/>
                            <gdk:spacer width="10px"/>
                            <a4j:commandLink title="#{messages['gazelle.ordermanager.ResetIndex']}"
                                             actionListener="#{numberGeneratorManager.resetIndex(gen)}"
                                             render="numbers">
                                <span class="gzl-icon-times-circle"/>
                            </a4j:commandLink>
                        </g:column>
                    </rich:dataTable>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                    <ui:param name="panel_id" value="uids"/>
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.UIDGenerators']}</ui:define>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.BelowIsTheListOfRootElementsWhichAreUsedInTheApp']}"
                            styleClass="help-block"/>
                    <rich:dataTable value="#{numberGeneratorManager.uidGenerators}" var="gen" id="table2">
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.ordermanager.DICOMTag']}</ui:define>
                            <h:outputText value="#{gen.tag}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.ordermanager.Keyword']}</ui:define>
                            <rich:inplaceInput value="#{gen.tagKeyword}" showControls="true">
                                <a4j:ajax event="change" render="uids"
                                          listener="#{numberGeneratorManager.saveGenerator(gen)}"/>
                            </rich:inplaceInput>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.ordermanager.RootOID']}</ui:define>
                            <rich:inplaceInput value="#{gen.root}" showControls="true">
                                <a4j:ajax event="change" render="uids"
                                          listener="#{numberGeneratorManager.saveGenerator(gen)}"/>
                            </rich:inplaceInput>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.ordermanager.Index']}</ui:define>
                            <h:outputText value="#{gen.lastIndex}"/>
                            <gdk:spacer width="10px"/>
                            <a4j:commandLink title="#{messages['gazelle.ordermanager.ResetIndex']}"
                                             actionListener="#{numberGeneratorManager.resetIndex(gen)}"
                                             render="uids">
                                <span class="gzl-icon-times-circle"/>
                            </a4j:commandLink>
                        </g:column>
                    </rich:dataTable>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
